Jump to: navigation, search

Known Issues and Recommendations

iWD GAX Plug-In

The Known Issues and Recommendations section is a cumulative list for all 9.0.x releases of iWD GAX Plug-In. This section provides the latest information on known issues and recommendations associated with this product. It includes information on when individual items were found and, if applicable, corrected. The Resolved Issues section for each release describes the corrections and may list additional issues that were corrected without first being documented as Known Issues.


See also Internationalization Issues.



A connection to iWD History Node or an iWD History Node Cluster is not automatically added after iWD Data Mart is selected for a given Business Solution. A connection must be manually added for a iWD Data Mart configuration object.

ID: IWD-8593 Found In: 9.0.009.07 Fixed In: 9.0.010.16

Important: From release 9.0.003.07 onwards of the iWD Plug-in for GAX, version 8.5.270.06 or higher of GAX is required. If you need to work with versions of GAX that are older than this, you must add the following libraries into the <GAX Installation dir>/webapp/WEB-INF/lib folder:

  • jackson-core-2.9.4.jar
  • jackson-databind-2.9.4.jar
  • jackson-annotations-2.9.4.jar
ID: IWD-7383 Found In: 9.0.003.07 Fixed In: 

TLS v1.2 support for the JDBC connection between iWD Plugin for GAX and an Interaction Server database deployed on Oracle does not function. In this scenario, use the following workaround when TLS is required:

  1. Download a patched version of the JDBC driver from the following link—http://www.oracle.com/technetwork/database/application-development/jdbc/jdbc-ucp-cloud-3179120.html
  2. Replace the GAX file in <GAX_Installation_directory>/webapp/WEB-INF/lib/ojdbc7-12.1.0.2.jar with the one you downloaded in Step 1.
  3. Make the following additions to /genesys/gax/setenv.sh ;
    export JAVA_OPTS="$JAVA_OPTS -Djavax.net.ssl.trustStore=<storage_location>"
    export JAVA_OPTS="$JAVA_OPTS -Djavax.net.ssl.trustStoreType=<storage_type>"
    export JAVA_OPTS="$JAVA_OPTS -Djavax.net.ssl.trustStorePassword=<storage_password>"
    export JAVA_OPTS="$JAVA_OPTS -Doracle.net.ssl_version=1.2"
  4. Restart GAX.
ID: IWD-6317 Found In: 9.0.004.07 Fixed In: 9.0.005.04


Internationalization Issues

Information in this section is included for international customers. Release numbers in the Found In and Fixed In fields refer to the English (US) release of iWD GAX Plug-In unless otherwise noted in the issue description.


Localization is available for this component from release 9.0.007.05.


This page was last edited on October 1, 2019, at 13:52.
blog comments powered by Disqus